// gamestate_config.js
// This module is normally only used by the gamestate module.
// It is mostly an attempt to encapsulate some game-dependent details
// that gamestate may need to be aware of in a separate file

const gameStateKey = "gamestate";
const pointsKey    = "pointsKey";
const sessionKey   = "sessionNumberKey";

let cached_db_fields = [
    {field: "points", storageKey: pointsKey},
    {field: "session", storageKey: sessionKey}
];


export {cached_db_fields, pointsKey, sessionKey, gameStateKey};
