// offline_play.js

let localOfflineFlagKey = "localOfflineFlag";

// Run when module loads
let gen7_single_user = sessionStorage.getItem(localOfflineFlagKey);
switch (gen7_single_user) {
    case null:
    case "false":
       gen7_single_user = false;
       break;
    case "true":
       gen7_single_user = true;
       break;
}
// End run when module loads

function setOfflinePlay(offlineFlag) {
    // Default is true
    if (typeof(offlineFlag) === "undefined") {
        sessionStorage.setItem(localOfflineFlagKey, "true");
        gen7_single_user = true;
    }
    else {
        sessionStorage.setItem(localOfflineFlagKey, offlineFlag ? "true" : "false");
        gen7_single_user = offlineFlag;
    }
}

function playingOffline() {
    return gen7_single_user;
}

export {setOfflinePlay, playingOffline};