const options = {
    completionURL: "../next_block/next_block.html",
    stage: {
        width: 1000,
        height: 576
    },
    scrolling_image: {
        image_path: "images/runner_background.jpeg",
        width: "7680px",
        height: "600px"
    },
    end_of_animation: 3840, // as set in CSS
    ground_level: 200,
    runner: {
        image: "images/boy_fast.gif",
        location: {
            top: "300px",
            left: "500px",
        },
        height: "100px",
        jump_height: "200px",
    },
    too_many_collisions_image: "images/runner_background.jpg",
    obstacle_interval: 700, // I don't see that this is used AM
    obstacle_stage_position: 1200, // position from left where new obstacle is inserted
    collision_rect_inset: 10, // inset obstacle rect to make it easier to jump over
    collision_counter_label: "Snakes Trodden Upon:",
    collision_limit: 10, // Game restarts if collisions reach this limit
    obstacle_end_game_count: 20,
    intro_text: "Get to the end of the course while treading on as few snakes as possible. If you trod on ten you will have to start over. Use the space bar to jump.",
    too_many_collisions_text: "You stepped on ten snakes. You have to start over!",
    exit_text: "Great! You made it to the end without stepping on too many snakes! You get a pizza!",
    goal_image: {
        image: "images/pizza.png",
        height: "auto",
        width: "150px"
    },
    good_sound: "../../audio/win_game.mp3",
    bad_sound: "audio/hiss.mp3",
};

const obstacles = [
    {
        image: "images/snake.svg",
        height: "auto",
        width: "75px"
    },
    {
        image: "images/snake_cartoon.svg",
        height: "auto",
        width: "75px"
    }
];

export {options, obstacles};