/*
   Add the image for the splash screen here.
   Include a title if the title is not part of the image.
   Add the url to where the game goes after the splash screen
 */

const options = {
    completionURL: "blocks/next_block/next_block.html", // URL to proceed to after the last screen
    bkImage: "blocks/splash/images/level_up.jpg", //NOTE THAT YOU NEED TO USE blocks/splash/images/ if it is in this folder ;
    bkImageAlt: "turtle at edge of water",
    titleText: "Minnesota Turtles",
    // FOR TITLE AS AN IMAGE, include image tag in quotes above,
    titleColor: "", // Enter title color here if color other than black is desired ;
    level_up_sound: "audio/splash.mp3"
};

export {
    options
};